MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027464Open CASCADE[OCCT] OCCT:Shape Healingpublic2016-05-04 13:392016-12-09 16:37
Reporterssv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027464: BRepTools_ReShape ends up with empty shapes
DescriptionBRepTools_ReShape has no protection against creation of empty shapes (e.g. wires having all edges removed). It needs to be adjusted so that not to allow empty result shapes (invalid situation in terms of checkshape).
Steps To ReproduceTest case is heal / reshape / A1. Notice that a new test grid for reshape has been added.
TagsNo tags attached.
Test case numberheal reshape A1
Attached Files

- Relationships

-  Notes
(0053865)
git (administrator)
2016-05-05 18:01

Branch CR27464 has been created by ssv.

SHA-1: 58f7fb2fe2be3a5beba279ad5e53e16540001ff9


Detailed log of new commits:

Author: ssv
Date: Thu May 5 18:01:02 2016 +0300

    0027463: BRepTools_ReShape ends up with empty shapes
    
    Add check on empty topological containers.
(0053866)
ssv (developer)
2016-05-05 18:03

Dear gka,

Could you please review?
(0053887)
git (administrator)
2016-05-06 11:06

Branch CR27464 has been updated by ssv.

SHA-1: 43f19eb439bd5f7acddfa040f5a6e1f78162e9e8


Detailed log of new commits:

Author: ssv
Date: Fri May 6 11:06:14 2016 +0300

    Add empty shapes to the replacement map.

(0053937)
git (administrator)
2016-05-10 11:13

Branch CR27464 has been updated by ssv.

SHA-1: 238b5cae666e49c7f94f3b593db92697b7c57e34


Detailed log of new commits:

Author: ssv
Date: Tue May 10 11:13:19 2016 +0300

    Add Draw command for Re-Shape.

(0053938)
ssv (developer)
2016-05-10 11:14

Dear gka,

Could you please review changes (Draw command 'reshape' has been added)?
(0053946)
git (administrator)
2016-05-10 13:26

Branch CR27464 has been updated by ssv.

SHA-1: 6e688f7997f443dffe261caf8ba62489b417cffb


Detailed log of new commits:

Author: ssv
Date: Tue May 10 13:26:32 2016 +0300

    Add a test grid for reshape with a single use case for starters.

(0053950)
gka (developer)
2016-05-10 14:18

Branch CR27464 is ready to be tested
(0053990)
mkv (tester)
2016-05-11 14:58

Dear BugMaster,
Branch CR27464 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 6e688f7997f443dffe261caf8ba62489b417cffb

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 72 (72 on master)
Windows: 4 (4 on master)
MacOS : 1130

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27464-master-OCCT/Debian70-64/heal/reshape/A1.html [^]
http://occt-tests/CR27464-master-OCCT/Windows-64-VC10/heal/reshape/A1.html [^]
heal reshape A1: OK

Testing on Linux:
occt component :
Total MEMORY difference: 88819644 / 87476410 [+1.54%]
Total CPU difference: 19329.57000000014 / 19370.820000000185 [-0.21%]
products component :
Total MEMORY difference: 27815805 / 27839978 [-0.09%]
Total CPU difference: 5330.129999999974 / 5344.489999999986 [-0.27%]

Testing on Windows:
occt component :
Total MEMORY difference: 55520184 / 55549341 [-0.05%]
Total CPU difference: 18083.932321898894 / 18280.68078309882 [-1.08%]
products component :
Total MEMORY difference: 18916293 / 18885152 [+0.16%]
Total CPU difference: 5040.376709899946 / 5012.358930299941 [+0.56%]

There are no differences in images found by testdiff.
(0053991)
mkv (tester)
2016-05-11 14:58

Dear BugMaster,
Branch CR27464 is TESTED.
(0054181)
git (administrator)
2016-05-20 12:21

Branch CR27464 has been deleted by inv.

SHA-1: 6e688f7997f443dffe261caf8ba62489b417cffb

- Issue History
Date Modified Username Field Change
2016-05-04 13:39 ssv New Issue
2016-05-04 13:39 ssv Assigned To => ssv
2016-05-04 14:01 ssv Status new => assigned
2016-05-05 18:01 git Note Added: 0053865
2016-05-05 18:03 ssv Note Added: 0053866
2016-05-05 18:03 ssv Assigned To ssv => gka
2016-05-05 18:03 ssv Status assigned => resolved
2016-05-06 11:06 git Note Added: 0053887
2016-05-06 12:51 gka Assigned To gka => ssv
2016-05-06 12:51 gka Status resolved => assigned
2016-05-10 11:13 git Note Added: 0053937
2016-05-10 11:14 ssv Note Added: 0053938
2016-05-10 11:14 ssv Assigned To ssv => gka
2016-05-10 11:14 ssv Status assigned => resolved
2016-05-10 13:26 git Note Added: 0053946
2016-05-10 13:27 ssv Steps to Reproduce Updated View Revisions
2016-05-10 14:18 gka Note Added: 0053950
2016-05-10 14:18 gka Assigned To gka => bugmaster
2016-05-10 14:18 gka Status resolved => reviewed
2016-05-10 15:40 mkv Assigned To bugmaster => mkv
2016-05-11 14:58 mkv Note Added: 0053990
2016-05-11 14:58 mkv Note Added: 0053991
2016-05-11 14:58 mkv Assigned To mkv => bugmaster
2016-05-11 14:58 mkv Status reviewed => tested
2016-05-11 14:58 mkv Test case number => heal reshape A1
2016-05-19 14:06 git Note Added: 0054135
2016-05-19 14:32 git Note Added: 0054137
2016-05-19 14:47 bugmaster Note Deleted: 0054137
2016-05-19 14:47 bugmaster Note Deleted: 0054135
2016-05-19 14:48 bugmaster Status tested => verified
2016-05-19 14:48 bugmaster Resolution open => fixed
2016-05-20 12:21 git Note Added: 0054181
2016-07-11 11:00 git Note Added: 0055792
2016-07-11 11:12 git Note Added: 0055796
2016-07-11 11:12 bugmaster Note Deleted: 0055796
2016-07-11 11:12 bugmaster Note Deleted: 0055792
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker